<#ibizinclude>
../../@MACRO/LANG_FUN.ftl
</#ibizinclude>
<div class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfTitle)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>'  :dis-hover="true" :bordered="false">
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION_DATAINFO.vue.ftl
    </#ibizinclude>
<#if view.hasPSControl('toolbar')>
    <@ibizindent blank=8>
    <p slot="extra">
    ${P.getCtrlCode('toolbar', 'CONTROL.html').code}
    </p>
    </@ibizindent>
</#if>
    <div class="toolbars-container" style=''>
<#if view.hasPSControl('tabexppanel')>
  <#assign tabexppanel = view.getPSControl('tabexppanel') />
      <el-radio-group v-model="tabValue" class="tab-panel-group">
  <#if tabexppanel.getPSControls?? && tabexppanel.getPSControls()??>
    <#list tabexppanel.getPSControls() as tabviewpanel>
        <el-radio-button label="${tabviewpanel.name}">
          <tooltip :transfer="true" :max-width="600">
      <#if tabviewpanel.getPSSysImage()??>
        <#assign sysimage = tabviewpanel.getPSSysImage()/>
        <#if sysimage.getImagePath() ==  "">
              <i class='${sysimage.getCssClass()}'></i>
        <#else>
              <img src='${sysimage.getImagePath()}'>
        </#if>
      </#if>
            <div slot='content'>${tabviewpanel.getCaption()}</div>
          </tooltip>
        </el-radio-button>
    </#list>
  </#if>
      </el-radio-group>
</#if>
    </div>
    <div class='content-container'>
        <#if view.hasPSControl('tabexppanel')>
        ${P.getCtrlCode('tabexppanel', 'CONTROL.html').code}
        </#if>
    </div>
    </card>
</div>